%define debug 0

%define final 0

# support mp3
%define build_mpeglib 0

%define my_vendor kde

%define qt_version 3.3.3

%define libtool 1
%define alsa 1
%define juk 0
%define cdparanoia 1
%define koncd 0
%define arts 1

%define redhatify 1

%define appdir %{_datadir}/applications/kde

%if %{build_mpeglib}
%define patch_name %{nil}
%else
%define patch_name -patched
%endif

Version: 3.3.1
Release: 2.XOS.1
Epoch: 6
Name: kdemultimedia
Prefix: /usr
Summary: Multimedia applications for the K Desktop Environment (KDE).
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Url: http://www.kde.org

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}%{patch_name}.tar.bz2

Patch1: kde-libtool.patch
Patch2: kdemultimedia-3.3.0-vorbis.patch

Prereq: /sbin/ldconfig

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}

BuildRequires: zlib-devel
BuildRequires: XFree86-devel
BuildRequires: kdebase-devel
BuildRequires: libjpeg-devel
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: perl
BuildRequires: libvorbis-devel
BuildRequires: audiofile-devel
BuildRequires: glib2-devel
BuildRequires: libmng-devel
BuildRequires: /usr/bin/desktop-file-install
%if %{alsa}
BuildRequires: alsa-lib-devel >= 1.0.2
%endif
%if %{cdparanoia}
BuildRequires: cdparanoia-devel
%endif
%if %{juk}
BuildRequires: taglib => 1.0
%endif
%if %{juk}
Obsoletes: juk
%endif

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including:

  kmid, a midi player
  kmidi, a midi-to-wav player/converter
  kmix, an audio mixer
  arts, additional functionality for the aRts sound system
  kaboodle, a media player
  noatun, a media player
  krec, a recording tool
  kscd, an Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 


%package devel
Summary: Development files for aRts plugins
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdebase-devel

%description devel
Development files for aRts and noatun plugins.
Install kdemultimedia-devel if you wish to develop or compile any
applications using aRtsbuilder, aRtsmidi, aRtskde, aRts modules or
noatun plugins.

%prep
%setup -q -n %{name}-%{version}%{patch_name}
%patch1 -p1
%patch2 -p1 -b .vorbis

# remove aktion, we don't ship xanim (license problems)
%if %{redhatify}
   rm -rf doc/aktion aktion
%endif

perl -pi -e "s/-fomit-frame-pointer//g" admin/acinclude.m4.in
perl -pi -e "s,examples,,g" kmid/Make*

make -f admin/Makefile.common cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export KDEDIR=%{prefix}
export PATH=%{prefix}/bin:$PATH
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"

%if ! %{build_mpeglib}
   export DO_NOT_COMPILE="mpeglib mpeglib_artsplug mpg123_artsplugin"
%endif

%if %{arts}
export CFLAGS="$CFLAGS `artsc-config --cflags`"
export CXXFLAGS="$CXXFLAGS `artsc-config --cflags`"
export CPPFLAGS="$CPPFLAGS `artsc-config --cflags`"
export LDFLAGS="$LDFLAGS `artsc-config --libs`"
%endif

%configure --with-qt-libraries=$QTDIR/lib \
           --disable-motif \
           --with-motif-includes=none \
           --with-motif-libraries=none \
           --disable-debug \
           --without-debug \
%if %{cdparanoia} == 0
           --disable-cdparanoia \
%endif
%if %{arts} == 0
           --without-arts \
%endif
%if %{alsa}
           --with-alsa \
           --with-arts-alsa \
%endif
           --disable-rpath \
           --includedir=%{_includedir}/kde \
           --with-xinerama \
%if %{final}
           --enable-final \
%endif
           --disable-xaw

SMP_MFLAGS=%{?_smp_mflags}

make $SMP_MFLAGS
make $SMP_MFLAGS -C doc
make $SMP_MFLAGS -C kioslave/audiocd/kcmaudiocd
make $SMP_MFLAGS -C kaudiocreator

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

make -C doc DESTDIR=$RPM_BUILD_ROOT install
make -C kioslave/audiocd/kcmaudiocd DESTDIR=$RPM_BUILD_ROOT install
make -C kaudiocreator DESTDIR=$RPM_BUILD_ROOT install

%if %{redhatify}
  for f in $RPM_BUILD_ROOT%{appdir}/*.desktop ; do
    echo "OnlyShowIn=KDE;" >> $f
  done
%endif

%if ! %{juk}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/juk
%endif

# KOnCD configuration...
%if %{koncd}
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
   cat >$RPM_BUILD_ROOT%{_datadir}/config/koncdrc <<EOF
[Program paths]
cdrdao_path=/usr/bin/cdrdao
cdrecord_path=/usr/bin/cdrecord
mkisofs_path=/usr/bin/mkisofs
readcd_path=/usr/bin/readcd
EOF
%endif

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/%{_datadir}/apps/kscd/*

cd $RPM_BUILD_ROOT/%{_docdir}/HTML/en
for i in *; do
   rm -f $i/common
   ln -sf ../common $i
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/artsbuilder
%if %{juk}
%doc %{_docdir}/HTML/en/juk
%endif
%doc %{_docdir}/HTML/en/kaboodle
%doc %{_docdir}/HTML/en/kcontrol/kmixcfg
%doc %{_docdir}/HTML/en/kmid
%doc %{_docdir}/HTML/en/kmix
%doc %{_docdir}/HTML/en/krec
%doc %{_docdir}/HTML/en/kscd
%doc %{_docdir}/HTML/en/noatun

/etc/xdg/menus/applications-merged/*
%{_libdir}/mcop/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_bindir}/*
%{_datadir}/autostart/*
%{_datadir}/applications/*
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 6:3.3.1-2.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on kdemultimedia-3.3.1-2.src.rpm
  (md5sum of original source rpm: 18a7508f3b8a5aca4a70e647384370c9).

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rhel rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to 3.3.1

* Sun Sep 26 2004 Rik van Riel <riel@redhat.com> 3.3.0-2
- remove duplicate info about kscd from description (bz #99193)

* Wed Aug 25 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Fri Jul 30 2004 Than Ngo <than@redhat.com> 3.2.92-1
- update to 3.3 Beta2

* Mon Jul 05 2004 Than Ngo <than@redhat.com> 6:3.2.91-1
- update to 3.3 Beta 1

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Jun 02 2004 Than Ngo <than@redhat.com> 6:3.2.2-3
- remove -O0 on s390/s390x/ia64

* Wed May 05 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- cleanup KDE/GNOME menu
- add obsolete juk

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- 3.2.2 release

* Wed Apr 07 2004 Than Ngo <than@redhat.com> 3.2.1-2.1
- add Buildrequires on cdparanoia-devel if cdparanoia is installed, bug #120245
- fix gcc build problem

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-2
- cleanup KDE/GNOME menu

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.2
- add Buildrequires: libmng-devel

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- rebuilt with new alsa-lib

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- enable alsa support
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- 3.1.93 (KDE 3.2 Beta1)
- cleanup rpm file list

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Mon Sep 15 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- Fixed segmentation fault when using gcc 3.3 (bug #104277)

* Fri Aug 08 2003 Than Ngo <than@redhat.com> 6:3.1.3-4.1
- add audiofile-devel in buildrequires

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuild

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- remove requires timidity++ on RHL3

* Sat Aug 02 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- fix build problem on x86_64

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add patch file for building with gcc 3.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-6
- add workaround for memory problem in buildsystem on s390x

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- rebuilt

* Wed Jun 11 2003 Than Ngo <than@redhat.com> 6:3.1.2-4
- dependencies for kmidi (bug #92218)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- rebuild

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-0.9
- 3.1.2
- fixed file list (bug #83911)

* Tue Apr 22 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- remove build workaround on ppc

* Tue Apr  1 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- build with -O0 on ppc, gcc bug

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 release

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-3
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-2
- fixed arts bug #82750, requires rebuild of kdemultimedia
- fixed reqs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 release

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 6:3.1-0.7
- rc7
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- fixed epoch for devel package
- no global cddb directory anymore
- removed size_t check
- exclude ia64

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.4
- Don't exclude Alpha
- Instead of turning off detection of unpackaged files/missing doc files,
  fix the problems.

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.3
- get rid of sub packages

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.2
- fix desktop file issue

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- adjust some patch files for 3.1
- get rid of mp3 support

* Tue Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- add missing ktimidity
- cleaned up some rpm building problems

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 05 2002 Than Ngo <than@redhat.com> 3.0.3-5
- added a patch file to fix Konquror crahes when mp3/mpg file is clicked (bug #72161,#74959,#74850)

* Wed Sep 11 2002 Than Ngo than@redhat.com> 3.0.3-4.1
- cleanup specfile

* Thu Aug 29 2002 Than Ngo than@redhat.com> 3.0.3-4
- fixed category issue

* Tue Aug 27 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-3
- Removed all mp3 related code

* Fri Aug 23 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-2
- Disable parallel build as it is currently broken

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc 3.2-0.3

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- rebuild using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-3
- rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Make sure we link to the just built libraries instead of libs in the
  build environment from older releases

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Update ABI
- Add cdrecord/mkisofs requirements for KOnCD (#63606)
- Tell koncd where to find cdrecord and mkisofs (#63604)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Adapt spec file to recent changes in base

* Thu Mar  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020307.1
- Update
- Rename subpackages

* Fri Feb  1 2002 Tim Powers <timp@redhat.com>
- kdemultimedia-devel shouldn't obsolete itself
- temporarily ExcludeArch ia64

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Fri Aug  3 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010803.1
- update
- fix bug #24132
- get rid of aktion

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- move devel files to a separate package
- Add BuildPrereqs (#44914)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
